Network Scan Scan Run Reports
Operations for the Network Scan Scan Run Reports service collection.
| Language | Last Update |
|---|---|
| Python | v1.6.1 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
get_scan_run_reportsget_scan_run_reports | Downloads scan run report in CSV format |
get_scan_run_reports
Section titled “get_scan_run_reports”Downloads scan run report in CSV format
GET /netscan/entities/scan-run-reports/v1
PEP 8
get_scan_run_reportsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| id | query | string | Scan run ID for which report is to be fetched |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanScanRunReports
falcon = NetworkScanScanRunReports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_scan_run_reports(id="string")print(response)from falconpy import NetworkScanScanRunReports
falcon = NetworkScanScanRunReports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_scan_run_reports(id="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("get_scan_run_reports", id="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_scan_run_reports")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.NetworkScanScanRunReports.GetScanRunReports( &network_scan_scan_run_reports.GetScanRunReportsParams{ ID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanScanRunReports.getScanRunReports("string"); // id
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanScanRunReports.new
response = api.get_scan_run_reports('string')
puts response